Subject: Re: [PATCH 2/7] Powerpc MSI implementation

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 12 Jan 2007 08:20:02 +1100

> So, no, I don't agree with this implementation and don't want to see it
> go through anyone's tree into mainline just yet.

So why, when we posted it earlier, you said the exact opposite ? That
you actually liked it and wanted to see it as a replacement of the
current cruft ?

That's been the logic from day one. We implement a generic MSI support
that supports multiple backends, we do it as a powerpc version at first
since that's what we can actively test and provide backends for, then as
a second step, we work with the intel folks to port their stuff over to
our implementation and replace the current crappy generic one.

Ben.